---
BasedOnStyle: LLVM
AccessModifierOffset: -4
AlignEscapedNewlines: DontAlign
AlwaysBreakTemplateDeclarations: Yes
AllowShortBlocksOnASingleLine: Empty
BreakConstructorInitializers: AfterColon
ColumnLimit: 100
ConstructorInitializerIndentWidth: 4
ContinuationIndentWidth: 4
IndentWidth: 4
PointerAlignment: Left
SortIncludes: true
SpaceAfterTemplateKeyword: false
UseTab: Never
PackConstructorInitializers: CurrentLine
BinPackParameters: false
BinPackArguments: false
AlignAfterOpenBracket: Align

IncludeCategories:
  - Regex: '^(<|")gtest/gtest.h'
    Priority: 10
  - Regex: '^(<|")gtest'
    Priority: 11
  - Regex: '^(<|")gmock/gmock.h'
    Priority: 12
  - Regex: '^(<|")gmock'
    Priority: 13
  - Regex: '^<'
    Priority: 1
  - Regex: '^"'
    Priority: 20
...
